summaryrefslogtreecommitdiff
path: root/tests/chgrp
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-10-13 18:51:08 +0000
committerJim Meyering <jim@meyering.net>2006-10-13 18:51:08 +0000
commitdc9790379c129698d0dead906135a4a7b0b551f6 (patch)
treecf62bdc10d300080d825f1d711a86c2f6d8c70f0 /tests/chgrp
parent8552234cb58fa8bb17a3ee53ee4bfafd5d2e1ec1 (diff)
downloadcoreutils-dc9790379c129698d0dead906135a4a7b0b551f6.tar.xz
* src/chown-core.c (change_file_owner): Use fstatat, not stat,
now that we're using fts_open with FTS_CWDFD. * tests/chgrp/posix-H: Add --preserve-root to an invocation of chgrp, to exercise the above fix.
Diffstat (limited to 'tests/chgrp')
-rwxr-xr-xtests/chgrp/posix-H4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/chgrp/posix-H b/tests/chgrp/posix-H
index 147bb5224..907b7da5e 100755
--- a/tests/chgrp/posix-H
+++ b/tests/chgrp/posix-H
@@ -1,7 +1,7 @@
#!/bin/sh
# Test POSIX-mandated -H option.
-# Copyright (C) 2003, 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -50,7 +50,7 @@ fi
fail=0
-chgrp -H -R $g2 1s 2 || fail=1
+chgrp --preserve-root -H -R $g2 1s 2 || fail=1
# These must have group $g2.
# =========================